Search Dataset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples
List of examples
  • Retrieve a specific dataset by ID
  • Retrieve dataset AI context
  • Retrieve the columns of a specific dataset
  • Get all datasets used in a dashboard
  • Get dataset by localized name
  • Get relevant datasets by semantic search
  • Retrieve the last WARP sync information of a specific dataset
  • Get columns and their order
  • Get connection (account) id for dataset
  • Get connection and plugin serving a certain dataset
  • Get all linked datasets
  • Get all dashboards using a certain dataset
  • Get datasets shared publicly
Description

Retrieve the last WARP sync information by specifying the dataset ID.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "f13df731-fff4-4b6b-b6e0-58a7d3956685",
      "name": {
        "en": "Sales dataset",
        "nl": "Verkoopsgegevens",
        "fr": "Données de ventes"
      },
      "acceleration": {
        "id": "7fds6a8-1547-65f6-bb87-b445bfed0772",
        "schedule_id": "4f8d5df4-754c-4eaa-952d-d48c76eb1815",
        "last_synced_at": "2024-01-01T07:01:25.824Z",
        "schedule": {
          "started_at": "2023-01-01T07:00:00.000Z",
          "frequency_unit": "day",
          "frequency_quantity": 1,
          "last_execution_status": "completed",
          "completed_at": "2024-01-01T07:01:34.346Z",
          "scheduled_at": "2024-01-02T07:00:00.000Z"
        }
      }
    }
  ]
}